const ICON_MAP_TYPES = {
  WARNING_INCIDENT: { name: '预警事件' as const },
  PENDING_INCIDENT: { name: '待派发事件' as const },
  PENDING_DISPOSAL_INCIDENT: { name: '待处置事件' as const },
  TRAFFIC_INFO: { name: '路况信息' as const },
  VIDEO_SURVEILLANCE: { name: '视频监控' as const },
  EMERGENCY_VEHICLES: { name: '应急车辆' as const },
  EMERGENCY_TEAM: { name: '应急队伍' as const },
  EMERGENCY_WAREHOUSE: { name: '应急仓库' as const },
};

export const WARNING_INCIDENT = [
  {
    name: '宿迁学院',
    locations: '118.296459,33.929648',
  },
  {
    locations: '118.504329,33.903868',
    name: '宿迁市大兴派出所',
  },
  {
    locations: '118.291631,33.884288',
    name: '明珠派出所',
  },
  {
    locations: '118.790799,33.705629',
    name: '来安派出所',
  },
];

export const PENDING_INCIDENT = [
  {
    locations: '118.288721,33.951047',
    name: '宿迁宝龙城市广场',
  },
  {
    locations: '118.285469,33.950549',
    name: '用世水韵城',
  },
  {
    locations: '118.290689,33.952558',
    name: '金鹰天地广场(宿迁店)',
  },
  {
    locations: '118.300139,33.955468',
    name: '苏宁广场',
  },
  {
    locations: '118.300149,33.953758',
    name: '宿迁人民商场',
  },
  {
    locations: '118.262051,33.956094',
    name: '鑫鑫奶站',
  },
  {
    locations: '118.27269,33.97476',
    name: '恒茂商业广场',
  },
];

export const PENDING_DISPOSAL_INCIDENT = [
  {
    name: '宿迁市中心血站',
    locations: '118.273349,33.954288',
  },
  {
    name: '早点中心',
    locations: '118.296279,33.962388',
  },
  {
    name: '宿迁市体育运动中心',
    locations: '118.266809,33.953318',
  },
  {
    name: '宿迁市体育运动中心',
    locations: '118.268309,33.953778',
  },
  {
    name: '宿迁市奥体中心',
    locations: '118.290087,34.004411',
  },
  {
    name: '中心大酒店',
    locations: '118.245129,33.938378',
  },
  {
    name: '中心庄',
    locations: '118.752399,34.118339',
  },
  {
    name: '中心桥',
    locations: '118.404649,33.415169',
  },
  {
    name: '国贸中心',
    locations: '118.270089,33.895378',
  },
  {
    name: '泗洪县中心医院',
    locations: '118.243579,33.460968',
  },
];

export const VIDEO_SURVEILLANCE = [
  {
    name: 'SUQIAN1234',
    addr: '宿迁市第一人民医院',

    locations: '118.269259,33.974288',
  },
  {
    name: 'SUQIAN1234',
    addr: '宿迁市宿城区人民医院',
    locations: '118.300829,33.967868',
  },
  {
    name: 'SUQIAN1234',
    addr: '宿迁市工人医院(新)',
    locations: '118.268819,33.939198',
  },
  {
    name: 'SUQIAN1234',
    addr: '南京鼓楼医院集团宿迁市人民医院',
    locations: '118.296529,33.945168',
  },
  {
    name: 'SUQIAN1234',
    addr: '宿迁市儿童医院(旧)',
    locations: '118.295179,33.947398',
  },
  {
    name: 'SUQIAN1234',
    addr: '宿迁市儿童医院',
    locations: '118.255491,33.949056',
  },
  {
    name: 'SUQIAN1234',
    addr: '宿迁市第一人民医院-药学部',
    locations: '118.268199,33.976638',
  },
  {
    name: 'SUQIAN1234',
    addr: '宿迁市钟吾医院',
    locations: '118.275649,33.930958',
  },
  {
    name: 'SUQIAN1234',
    addr: '宿迁市骨科医院',
    locations: '118.270939,33.959068',
  },
  {
    name: 'SUQIAN1234',
    addr: '钟吾医院-住院大楼',
    locations: '118.275809,33.929618',
  },
];
