import request from "@/utils/request";
import { BASE_USER_URL } from "@/utils/constant";



export const api_getresource = (parmares:object) => { 
   return request<Object>('GET', {
     url: `/zhdd/resource/list`,
     params: parmares,
   });
}

export const api_getchemicalList = (name: String) => {
  return request<Object>('GET', {
    url: `zhdd/chemicalData/list`,
    params: { name: name },
  });
};
export const api_getchemicalDetail = (id: String) => {
  return request<Object>('GET', {
    url: `/zhdd/chemicalData/${id}`
  });
};


export const api_getckList = (name: String) => {
  return request<Object>('GET', {
    url: `zhdd/resource/goodsList`,
    params: { goodsName: name },
  });
};

export const api_getuserInfo = () => {
  return request<Object>('GET', {
    url: `getInfo`,
    params: { },
  });
};




export const api_getresourcedetail = (id: number) => {
  return request<Object>('GET', {
    url: `zhdd/resource/${id}`
  });
};

export const api_putresource = (parmares:object) => {
  return request<Object>('PUT', {
    url: `/zhdd/resource`,
    data: parmares,
  });
};

export const api_bj = (parmares: object) => {
  return request<Object>('POST', {
    url: `/zhdd/incident/backLogFinish`,
    data: parmares,
  });
};

export const api_isbj = (taskid:string) => {
  return request<Object>('GET', {
    url: `/zhdd/incident/queryTaskFinish?taskId=${taskid}`,
  });
};




